net.sourceforge.pmd

## Class RuleContextTest

- java.lang.Object
- - net.sourceforge.pmd.RuleContextTest

    public class RuleContextTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RuleContextTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAttributes()`
`void` `testReport()`
`void` `testSharedAttributes()`
`void` `testSourceCodeFile()`
`void` `testSourceCodeFilename()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleContextTest

    public RuleContextTest()

### Method Detail

#### testReport

    public void testReport()

#### testSourceCodeFilename

    public void testSourceCodeFilename()

#### testSourceCodeFile

    public void testSourceCodeFile()

#### testAttributes

    public void testAttributes()

#### testSharedAttributes

    public void testSharedAttributes()

#### suite

    public static junit.framework.Test suite()